From 2e845e78e61b67356690cfbde03cc2c8bc9ca209 Mon Sep 17 00:00:00 2001
From: felmer <felmer>
Date: Tue, 6 Sep 2011 08:37:19 +0000
Subject: [PATCH] LMS-2471 bug fixed

SVN: 22808
---
 openbis_all/source/bash/servers-shutdown.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/openbis_all/source/bash/servers-shutdown.sh b/openbis_all/source/bash/servers-shutdown.sh
index baba4fc49c6..2d7268f6aca 100755
--- a/openbis_all/source/bash/servers-shutdown.sh
+++ b/openbis_all/source/bash/servers-shutdown.sh
@@ -32,8 +32,12 @@ if [ ! -d "$DSS" ]; then
     exit 1
 fi
 
+# Shutdown DSS and AS, ignoring exit codes != 0
+set +o errexit
 "$DSS/datastore_server.sh" stop
 "$AS/bin/shutdown.sh"
+set -o errexit
+
 if [ ! -f "$LOG_FILE" ]; then
     exit
 fi
-- 
GitLab